unit Greeting;

interface

{$mode delphi}{$H+}
uses 
 LResources,Buttons,
{$ifdef Linux}
  unix,
{$else}
  ShellApi,
{$endif}
  SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  ExtCtrls, StdCtrls;

type
  TGreetingBox = class(TForm)
    Label2: TLabel;
    Image1: TImage;
    Label6: TLabel;
    Panel1: TPanel;
    Label1: TLabel;
    Label4: TLabel;
    Label7: TLabel;
    MailAdress: TSpeedButton;
    Button1: TButton;
    Label3: TLabel;
    procedure FormCreate(Sender: TObject);
    procedure MailAdressClick(Sender: TObject);
  private
  public
  end;

var
  GreetingBox: TGreetingBox;
  Title: String;
  TitleLeft: Integer;

implementation

uses
  WASH1dMAIN;
 

procedure TGreetingBox.FormCreate(Sender: TObject);
begin
  if Drawing = 1 then
    Hide;
  Label2.Caption := 'ver.' + FloatToStr(Version);
end;

procedure TGreetingBox.MailAdressClick(Sender: TObject);
begin
  {$ifdef Linux}

  {$else}
  ShellExecute(Handle, 'Open', PWideChar('mailto:' + Self.Caption + '?subject=WASH_1D'), nil, '', 0);
  {$endif}
end;

Initialization
{$I Greeting.lrs}
end.
