unit Irrigation;

interface

{$mode delphi}{$H+}
uses 
  LResources,Buttons,
  Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, ExtCtrls;

type

  { TIrrig }

  TIrrig = class(TForm)
    edMax: TEdit;
    Label1: TLabel;
    edWUE: TEdit;
    Label10: TLabel;
    Label2: TLabel;
    edPW: TEdit;
    Label3: TLabel;
    edPC: TEdit;
    Label4: TLabel;
    Label5: TLabel;
    Label6: TLabel;
    edStart: TEdit;
    Label7: TLabel;
    edIntensity: TEdit;
    Label9: TLabel;
    Panel1: TPanel;
    Execute: TButton;
    Back: TButton;
    Next: TButton;
    Label8: TLabel;
    procedure BackClick(Sender: TObject);
    procedure NextClick(Sender: TObject);
    procedure ExecuteClick(Sender: TObject);
    procedure FormShow(Sender: TObject);
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
  private
  public
  end;

var
  Irrig: TIrrig;

implementation

uses
  WASH1dMain;

 

procedure TIrrig.BackClick(Sender: TObject);
begin
  GoAhead := False; dialogbox := 12; Close();
end;

procedure TIrrig.NextClick(Sender: TObject);
begin
  GoAhead := True; dialogbox := 0; Close();
end;

procedure TIrrig.ExecuteClick(Sender: TObject);
begin
  dialogbox:=0; Close();
end;

procedure TIrrig.FormShow(Sender: TObject);
begin
  dialogbox:= -1;
  edWUE.Text        := FloatToStr(WUE);
  edPC.Text         := FloatToStr(Pcrop);
  edPW.Text         := FloatToStr(Pwater);
  edStart.Text      := FloatToStr(t_ql_top[1]);
  edIntensity.Text  := FloatToStr(ql_top);
  edMax.Text        := FloatToStr(IDmax);
  case t_unit of
      1: Label8.caption := 'cm/s';
     60: Label8.caption := 'cm/min';
   3600: Label8.caption := 'cm/h';
  86400: Label8.caption := 'cm/d';
  end;
end;

procedure TIrrig.FormClose(Sender: TObject; var Action: TCloseAction);
begin
  WUE         := StrToFloat(edWUE.Text);
  Pcrop       := StrToFloat(edPC.Text);
  Pwater      := StrToFloat(edPW.Text);
  t_ql_top[1] := StrToFloat(edStart.Text);
  ql_top      := StrToFloat(edIntensity.Text);
  IDmax       := StrToFloat(edMax.Text);
end;

Initialization
{$I Irrigation.lrs}
end.
