unit StringGrid;

interface

{$mode delphi}{$H+}
uses 
  LResources,Buttons,
  SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, ExtCtrls, Grids;

type
  TTable = class(TForm)
    StringGrid1: TStringGrid;
    Panel1: TPanel;
    btnSave: TButton;
    btnAdd: TButton;
    btnDel: TButton;
    btnCancel: TButton;
    procedure btnAddClick(Sender: TObject);
    procedure StringGrid1DrawCell(Sender: TObject; ACol, ARow: Integer;
      Rect: TRect; State: TGridDrawState);
    procedure StringGrid1KeyDown(Sender: TObject; var Key: Word;
      Shift: TShiftState);
    procedure btnDelClick(Sender: TObject);
  private
  public
  end;

var
  Table: TTable;

implementation

uses
  WASH1dMain, Atmos_BC;

//----------------------------------------------------------
procedure TTable.btnAddClick(Sender: TObject);
begin
  StringGrid1.RowCount := StringGrid1.RowCount + 1;
end;

procedure TTable.btnDelClick(Sender: TObject);
begin
  StringGrid1.RowCount := StringGrid1.RowCount - 1;
end;

procedure TTable.StringGrid1DrawCell(Sender: TObject; ACol, ARow: Integer;
  Rect: TRect; State: TGridDrawState);
begin
  {
  if ARow >= 2 then
  begin
    dumint := StringGrid1.Canvas.TextWidth(StringGrid1.Cells[ACol,ARow]);
    dumint := Rect.Right - dumint - 2;
    StringGrid1.Canvas.FillRect(Rect);
   // StringGrid1.Canvas.TextOut(dumint, Rect.Top, StringGrid1.Cells[ACol,ARow]);
  end;
  }
end;

procedure TTable.StringGrid1KeyDown(Sender: TObject; var Key: Word;
  Shift: TShiftState);
begin
  with Sender as TStringGrid do
    if (Key =  40) or (Key = 13) then
    begin
      Key := 0;
      if Row = RowCount - 1 then
      begin
        Row := 2;
        if Col < ColCount - 1 then
          Col := Col + 1
        else
          Col :=  1;
      end
      else
        Row := Row + 1;
    end;
end;

Initialization
{$I StringGrid.lrs}
end.

