program WASH_1D;

{%ToDo 'WASH_1D.todo'}
{$mode delphi}{$H+}

uses
Interfaces,
  Forms, printer4lazarus,
  WASH1dMain in 'WASH1dMain.pas' {Main},
  Greeting in 'Greeting.pas' {GreetingBox},
  G_Information in 'G_Information.pas' {GeneralInfo},
  W_Information in 'W_Information.pas' {WaterInfo},
  RC_Params in 'RC_Params.pas' {Soil},
  K_Params in 'K_Params.pas' {Kparams},
  Atmos_BC in 'Atmos_BC.pas' {AtmosBC},
  I_s_Information in 'I_s_Information.pas' {SoluteInverseInfo},
  S_Information in 'S_Information.pas' {SoluteInfo},
  Recent in 'Recent.pas' {RecentFile},
  PlantProperties in 'PlantProperties.pas' {Plant},
  THC_Params in 'THC_Params.pas' {THCparams},
  StringGrid in 'StringGrid.pas' {Table},
  I_Information in 'I_Information.pas' {InverseInfo},
  Pos_Information in 'Pos_Information.pas' {PositionInfo},
  FigFileMaker in 'FigFileMaker.pas',
  Output in 'Output.pas',
  MyMsgDlg in 'MyMsgDlg.pas' {MyMessageDlg},
  Numerical_Detail_of_Water_Flow in 'Numerical_Detail_of_Water_Flow.pas' {NumericalDetailOfWaterFlow},
  Simulation in 'Simulation.pas',
  P_Estimator in 'P_Estimator.pas',
  Help_Search in 'Help_Search.pas' {HelpSearch},
  RootFinder in 'RootFinder.pas',
  ST_params in 'ST_params.pas' {STparams},
  En_Factor in 'En_Factor.pas' {EnFactor},
  Irrigation in 'Irrigation.pas', MyPackage, Membrane;

{$R *.res}

begin
  Application.Initialize;
  Application.HelpFile := '';
  Application.CreateForm(TMain, Main);
  Application.CreateForm(THelpSearch, HelpSearch);
  Application.CreateForm(TMyMessageDlg, MyMessageDlg);
  Application.CreateForm(TIrrig, Irrig);
  Application.Run;
end.
