unit Membrane;

{$mode objfpc}

interface

uses
  Classes, SysUtils, FileUtil, LResources, Forms, Controls, Graphics, Dialogs, Math,
  StdCtrls;

type

  { TfrmMembrane }

  TfrmMembrane = class(TForm)
    Button1: TButton;
    edAEVmembrane: TEdit;
    edExponent: TEdit;
    edHCmembrane: TEdit;
    edZmembrane: TEdit;
    Label12: TLabel;
    Label13: TLabel;
    Label14: TLabel;
    Label15: TLabel;
    Label16: TLabel;
    Label17: TLabel;
    lblHCmbUnit: TLabel;
    procedure FormClose(Sender: TObject; var CloseAction: TCloseAction);
    procedure FormShow(Sender: TObject);
  private
    { private declarations }
  public
    { public declarations }
  end;

var
  frmMembrane: TfrmMembrane;

implementation

uses
  WASH1dMain;

{ TfrmMembrane }

procedure TfrmMembrane.FormShow(Sender: TObject);
begin
  edHCmembrane.Text := FormatFloat('##0.0###', HC_mb);
  edZmembrane.Text  := FloatToStr(Z_membrane);
  edAEVmembrane.Text := FloatToStr(AEVmembrane);
  edExponent.Text    := FloatToStr(ExponentMembrane);
  lblHCmbUnit.caption := '1/' + smhd;
end;

procedure TfrmMembrane.FormClose(Sender: TObject; var CloseAction: TCloseAction
  );
begin
  HC_mb      := StrToFloat(edHCmembrane.Text);
  Z_membrane := StrToFloat(edZmembrane.Text);
  AEVmembrane := StrToFloat(edAEVmembrane.Text);
  ExponentMembrane := StrToFloat(edExponent.Text);
end;


initialization
  {$I Membrane.lrs}

end.

