unit Reservoir;

{$mode objfpc}

interface

uses
  Classes, SysUtils, FileUtil, LResources, Forms, Controls, Graphics, Dialogs,
  ExtCtrls, StdCtrls;

type

  { TfrmReservoir }

  TfrmReservoir = class(TForm)
    btnOK: TButton;
    edStorageEfficiency: TEdit;
    Label1: TLabel;
    Label2: TLabel;
    Label3: TLabel;
    Label4: TLabel;
    Label5: TLabel;
    Label6: TLabel;
    leAcatchment: TLabeledEdit;
    leAcropping: TLabeledEdit;
    leVmaxreservoir: TLabeledEdit;
    leLossRate: TLabeledEdit;
    leVreservoir: TLabeledEdit;
    procedure btnOKClick(Sender: TObject);
    procedure FormShow(Sender: TObject);
  private
    { private declarations }
  public
    { public declarations }
  end;

var
  frmReservoir: TfrmReservoir;

implementation

uses
  WASH1dMain;

{ TfrmReservoir }

procedure TfrmReservoir.FormShow(Sender: TObject);
begin
  leAcatchment.Text        := FloatToStr(Acatchment);
  leAcropping.Text         := FloatToStr(Acropping);
  edStorageEfficiency.Text := FloatToStr(StorageEfficiency);
  leVmaxreservoir.Text     := FloatToStr(Vreservoir_max);
  leVreservoir.Text        := FloatToStr(Vreservoir);
  leLossRate.Text          := FloatToStr(LossRate);
end;

procedure TfrmReservoir.btnOKClick(Sender: TObject);
begin
  Acatchment        := StrToFloat(leAcatchment.Text);
  Acropping         := StrToFloat(leAcropping.Text);
  StorageEfficiency := StrToFloat(edStorageEfficiency.Text);
  Vreservoir_max    := StrToFloat(leVmaxreservoir.Text);
  Vreservoir        := StrToFloat(leVreservoir.Text);
  LossRate          := StrToFloat(leLossRate.Text);
end;

initialization
  {$I Reservoir.lrs}

end.

